touchpad randomly failing

Bug #365968 reported by Dean Moreton on 2009-04-24
40
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
Medium
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Low
Unassigned

Bug Description

Fully updated Jaunty on a Toshiba Tecra M2 laptop, experiencing weird issue with touchpad/keyboard. Basically at random the touchpad/keyboard will decide to stop functioning correctly. I didn't experience this with Intrepid on this same hardware. It's hard to reproduce, and sometimes won't happen for days but did happen 3 times this morning. Touchpad will still work in that I can move the pointer, but no mouse clicks will be registered and mouseover items is ignored.

The keyboard also stops functioning mostly, It seems I can tab round elements of an active window, but not able to use other combinations such as alt-tab. Found the below in the messages.log at the time this occurs:

Apr 24 08:18:29 loanstar kernel: [ 673.733406] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 24 08:18:29 loanstar kernel: [ 673.738644] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
Apr 24 08:18:29 loanstar kernel: [ 673.740516] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 24 08:18:30 loanstar kernel: [ 673.786062] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
Apr 24 08:18:30 loanstar kernel: [ 673.936588] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 2
Apr 24 08:18:30 loanstar kernel: [ 673.939130] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 24 08:18:30 loanstar kernel: [ 673.945774] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
Apr 24 08:18:30 loanstar kernel: [ 673.947954] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 24 08:18:30 loanstar kernel: [ 673.991034] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.

Only way to fix is power off using the power button, but strangely one time after a rage filled 5 secs of mashing the keyboard it came back. Can supply any other logs if required.

affects: ubuntu → xserver-xorg-input-synaptics (Ubuntu)
seph (seph) wrote :

I have a dell latitude d600, and see something very similar.

On Intrepid, when under moderate load, occasionally the mouse would get wonky. I could move it, but it didn't really notice the click event, and it wouldn't change window focus. I could fix this by rapidly clicking a bunch.

Now that I've upgraded to Jaunty, my experience is markedly worse. Twice now, in 2 days my machine has just started ignoring left click events. The cursor moves, right click works, but left click does not. This was not tied to excess load. Plugging in an external USB mouse does not change this at all.

I have the same messages in my logs.

The best suggestion I found on the internet was to add "psmouse.proto=imps" to the kernel boot, from http://www.debian-administration.org/articles/376 But that's from 3 years ago. I haven't yet tried it.

nab (n-zell) wrote :

I have a toshiba satellite M30x and have a simular behavior.

I have a new install of 9.04, with 8.04 the touchpad was working fine.

When I start with an externalUSB mouse everything works fine. External mouse and touchpad are behaving as expected.

When I remove the external mouse, touchpad and keyboard freeze. I can't change to console nor shut down X nor reboot.

Starting without external mouse, the touchpad is working for some seconds in X, afterwards only the keyboard is partly, I can restart X (Alt Gr PrtSc K), but I can't switch to console (Ctrl Alt FX).

Un- and Reloading psmouse-module with
   sudo modprobe -r psmouse
   sudo modprobe psmouse proto=imps
 didn't help.

Coping the touchpad file for hal (sudo cp /usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi /etc/hal/fdi/policy/11-x11-synaptics.fdi) didn't help either.

Some data about my machine:
bios-version:V1.60
system-manufacturer:TOSHIBA
system-product-name:Satellite M30X
system-version:PSA72E-2L302YGR
Linux BOX 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux
Ubuntu 2.6.28-11.42-generic

I attached logs of dsmeg and Xorg for starting with and without external mouse.

nab (n-zell) wrote :
nab (n-zell) wrote :
nab (n-zell) wrote :
nab (n-zell) wrote :
nab (n-zell) wrote :
nab (n-zell) wrote :
LadyBug (lea-viljanen) wrote :

Interesting seph, I have Eee PC 901 with Jaunty netbook remix. I have exactly the same experience: eventually my touchpad will lose the ability to left click. This happens after a day or two of occasional use and a couple of suspends. The only way I know to get my mouse back is a reboot.

I did not have this problem on Hardy, Ibex has never been on this laptop so I can not comment on that.

And I do have the "option psmouse proto=imps" in my /etc/modprobe.d/options.

The 901 touchpad is an Elantech, but right now I use the "synaptics" driver in my xorg.conf and therefore get some "no synaptics event device found" and "Query no Synaptics" errors in my Xorg log. Do you have a similar weird setup?

lesshaste (clifford-cs) wrote :

I have a similar problem on my Toshiba Tecra A9. After using X for a bit I can no longer click on anything even thought I can still move the mouse about. I have the same errors in dmesg as above

[...]
Jul 24 22:23:55 clifford-laptop kernel: [95848.668236] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 24 22:23:55 clifford-laptop kernel: [95848.672248] psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
[...]

I am on jaunty and have a basic setup with no external devices etc. plugged in.

It seems there is a patch for this (not tested by me) linked from http://bugzilla.kernel.org/show_bug.cgi?id=12577

Could someone apply it and at least release a test kernel?

Raphael

lesshaste (clifford-cs) wrote :
Andy Whitcroft (apw) on 2009-07-27
Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Medium
status: New → In Progress
Andy Whitcroft (apw) wrote :

Ok, added a linux task and linked the upstream bug report. Also pulled down the patch and applied it to the latest Jaunty kernel and built some test kernels. If you could test those kernels and report back here that would be helpful. Kernels are at the URL below:

    http://people.canonical.com/~apw/lp365968-jaunty/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Changed in linux:
status: Unknown → Confirmed
mi (primary7) wrote :

I had the same problem on my Toshiba Tecra M2, using the test kernel the problem is solved.

Mirco

seph (seph) wrote :

On my dell latitude d600, I've been running the test kernel for a couple of weeks. The problem is less frequent but still present.

It still feels correlated with some kind of load. Firefox is usually the culprit, generally playing flash games or when I hit a really js heavy page.

unloading the psmouse and reloading is my usual fix.

Bryce Harrington (bryce) on 2009-09-02
tags: added: jaunty
Changed in linux:
status: Confirmed → Fix Released
Alessandro (alcio313) wrote :

IN my toshiba m30x-161 still this bug: Ubuntu 7.10 - 8.04 -8.10 - 9.04 - 9.10 - 10.04 beta1.

Also shows up on HP pavilion dv6000 with Ubuntu 10.04 final. Seems to related to using usb wireless mouse. After unplugging it then keyboard and touch pad inop. Have been able to recover by alt+f2, followed by alt+f7. Also noticed touch pad worked prior to logging in, then stopped after log in. Was able to plug in usb wireless transmitter and use mouse though. ? Very annoying. This did not happen with 9.04 or 9.10

Lazyfirecloud (lazyfirecloud) wrote :

Unfortunately, I have to report that I have something similar happening since updating to 10.04 (final) on my hp tablet tx1400us. The touchpad or keyboard will randomly stop working.
When the keyboard stopped working, it still recognized the ctrl+alt+del sequence, but not ctrl+alft+f1. I don't know if it's possible to restart X since ctr+alt+backspace was apparently disabled but I will try next time.
When the touchpad stops working, the USB mouse is still responsive. It does not answer after disabling and re-enabling him. I've also have had it inactive upon fresh boot up. This is bothersome because on 10.04 the mouse gets affected by the CPU load, but not the touchpad (that's also new to this release).

Lazyfirecloud (lazyfirecloud) wrote :

Unfortunately, I have to report that I have something similar happening since updating to 10.04 (final) on my hp tablet tx1400us. The touchpad or keyboard will randomly stop working.
When the keyboard stopped working, it still recognized the ctrl+alt+del sequence, but not ctrl+alft+f1. I don't know if it's possible to restart X since ctr+alt+backspace was apparently disabled but I will try next time.
When the touchpad stops working, the USB mouse is still responsive. It does not answer after disabling and re-enabling him. I've also have had it inactive upon fresh boot up. This is bothersome because on 10.04 the mouse gets affected by the CPU load, but not the touchpad (that's also new to this release).

Andy Whitcroft (apw) on 2010-06-18
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody
Gursimran singh (simar) wrote :

Just to confirm before closing the bug report, as the fix has been released in upstream kernel. Can anybody confirm that the problem exists or not on Maverick?

Gursimran singh (simar) on 2010-11-02
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Gursimran singh (simar) on 2010-11-21
Changed in linux (Ubuntu):
status: Incomplete → New
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → New
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Incomplete
Gursimran singh (simar) wrote :

The bug is in linux

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.